IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Permissions

Access level for team members with the user role per unit.

The permission object

Attributes

iduuid

Unique identifier

member_iduuid
members.id

Identifier of the related member

product_iduuid
products.id

Identifier of the related unit

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

bookings"none" | "maintenance" | "view" | "manage"

Bookings permission level

notifications"none" | "non-financial" | "all"

Notifications permission level

permission"maintenance" | "view-bookings" | "manage-bookings" | "all"

Permission level

settings"none" | "all"

Settings permission level

The permission object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "member_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:24:09.754Z",
  "updated_at": "2026-03-12T05:24:09.754Z",
  "bookings": "view",
  "notifications": "none",
  "permission": "view-bookings",
  "settings": "none"
}

List permissions

Filters

idFilter<uuid>

Unique identifier

member_idFilter<uuid>
members.id

Identifier of the related member

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

bookingsFilter<"none" | "maintenance" | "view" | "manage">

Bookings permission level

notificationsFilter<"none" | "non-financial" | "all">

Notifications permission level

permissionFilter<"maintenance" | "view-bookings" | "manage-bookings" | "all">

Permission level

settingsFilter<"none" | "all">

Settings permission level

Responses

200

A list of permissions with the selected columns

206

Partial Content

GET /permissions
curl -X GET "https://api.bookingmood.com/v1/permissions?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create permissions

Body

Partial<Permission> | Array<Partial<Permission>>

Responses

201

The newly created permissions with the selected columns

POST /permissions
curl -X POST "https://api.bookingmood.com/v1/permissions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete permissions

Filters

idFilter<uuid>

Unique identifier

member_idFilter<uuid>
members.id

Identifier of the related member

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

bookingsFilter<"none" | "maintenance" | "view" | "manage">

Bookings permission level

notificationsFilter<"none" | "non-financial" | "all">

Notifications permission level

permissionFilter<"maintenance" | "view-bookings" | "manage-bookings" | "all">

Permission level

settingsFilter<"none" | "all">

Settings permission level

Responses

204

The deleted permissions with the selected columns

DELETE /permissions
curl -X DELETE "https://api.bookingmood.com/v1/permissions" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update permissions

Filters

idFilter<uuid>

Unique identifier

member_idFilter<uuid>
members.id

Identifier of the related member

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

bookingsFilter<"none" | "maintenance" | "view" | "manage">

Bookings permission level

notificationsFilter<"none" | "non-financial" | "all">

Notifications permission level

permissionFilter<"maintenance" | "view-bookings" | "manage-bookings" | "all">

Permission level

settingsFilter<"none" | "all">

Settings permission level

Body

Partial<Permission>

Responses

204

The updated permissions with the selected columns

PATCH /permissions
curl -X PATCH "https://api.bookingmood.com/v1/permissions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'